=== debian/changelog ===
qgis (2.14.5+dfsg-2) unstable; urgency=medium

  * Add version constraint to libqgis-customwidgets dependency.
  * Update symbols for other architectures.
  * Drop libgsl0-dev alternative dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 13:28:43 +0200

qgis (2.14.5+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Aug 2016 11:16:53 +0200

qgis (2.14.5+dfsg-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.14.5

  [ Bas Couwenberg ]
  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Jul 2016 15:53:16 +0200

qgis (2.14.4+dfsg-2) UNRELEASED; urgency=medium

  * Update install files to match paths for GRASS 6 & 7.
  * Update symbols for sparc64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2016 19:17:15 +0200

qgis (2.14.4+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix installation path of scalable icons.
    (closes: #830638)
  * Update symbols for other architectures.
  * Move from experimental to unstable.

  [ Jürgen E. Fischer ]
  * Drop usr/share/icons/scalable from qgis.install.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2016 11:39:28 +0200

qgis (2.14.4+dfsg-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.14.4

  [ Bas Couwenberg ]
  * New upstream release.
  * Disable globe plugin, doesn't support osgEarth 2.7 properly.
  * Update copyright file, changes:
    - Update copyright years for Sandro Santilli & The QGIS Project
    - Add Even Rouault to copyright holders
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jul 2016 16:39:08 +0200

qgis (2.14.3+dfsg-3) UNRELEASED; urgency=medium

  * Update symbols for hppa & ppc64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 May 2016 00:16:17 +0200

qgis (2.14.3+dfsg-2) unstable; urgency=medium

  * Disable QtWebKit support, will be removed from Qt4.
    (closes: #784514)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 May 2016 18:31:53 +0200

qgis (2.14.3+dfsg-1) unstable; urgency=medium

  * Update symbols for arm64 mips mipsel powerpc ppc64el s390x.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 May 2016 11:37:24 +0200

qgis (2.14.3+dfsg-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.14.3

  [ Bas Couwenberg ]
  * New upstream release.
  * Add patch to add support for GNU/Hurd to GRASS plugin qtermwidget.
  * Update copyright years for Sandro Mani in copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 May 2016 16:31:03 +0200

qgis (2.14.2+dfsg-2) unstable; urgency=medium

  * Add patch to add support for kFreeBSD to GRASS plugin.
    (closes: #824079)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 09:33:14 +0200

qgis (2.14.2+dfsg-1) unstable; urgency=medium

  * Disable check for new version of QGIS at startup.
    To re-enable the version check, edit /etc/defaults/qgis
    and remove --noversioncheck from QGIS_OPTS.
    (closes: #823283)
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2016 18:54:05 +0200

qgis (2.14.2+dfsg-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.14.2
    (closes: #822477)

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 21:07:07 +0200

qgis (2.14.1+dfsg-2) unstable; urgency=medium

  * Add python-shapely to python-qgis-common dependencies.
    (closes: #820281)
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Apr 2016 07:10:22 +0200

qgis (2.14.1+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Mar 2016 11:30:58 +0200

qgis (2.14.1+dfsg-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.14.1

  [ Bas Couwenberg ]
  * Update copyright file, changes:
    - Add license & copyright for qwtpolar-1.1.1
    - Group CMake files by Simon Edwards
  * Re-enable QwtPolar, qwtpolar-1.1 supports Qwt > 6.0.
  * Enable all hardening buildflags.
  * Drop globe-adapt-to-osgearth-2.7.patch, included upstream.
    Refresh remaining patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Mar 2016 16:41:46 +0100

qgis (2.14.0+dfsg0-3) unstable; urgency=medium

  * Recreate symbols files, old ones failed to patch.
  * Fix build with `dpkg-buildpackage -A`. Various files in architecture
    independent packages are built in the -arch target.
    (closes: #817811)
  * Update various URLs to use HTTPS.
  * Drop unused lintian override for binaries-have-file-conflict.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Mar 2016 20:52:00 +0100

qgis (2.14.0+dfsg0-2) unstable; urgency=medium

  * Restore use of pkgkde_symbolshelper by dh.
  * Add patch for osgEarth 2.7 support, re-enable globe plugin.
  * Fix removal of obsolete diversions for both the grass plugin & provider.
    (closes: #817176)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Mar 2016 19:11:51 +0100

qgis (2.14.0+dfsg0-1) unstable; urgency=medium

  * Disable globe plugin, fails to build with osgEarth 2.7.
  * Add Breaks/Replaces to qgis for binaries moved from grass provider.
  * Add patch to fix 'number' typo.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2016 07:12:13 +0100

qgis (2.14.0+dfsg0-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.14.0

  [ Bas Couwenberg ]
  * New upstream release.

